global_settings { max_trace_level 10 }

#include "colors.inc"
#include "textures.inc"
#include "tb-templ.inc"
#include "temple.inc"

camera {
         location <20,30,-100>
         look_at <0,13,0>
}

light_source { <0,150,-150> color White scale 4 }

plane { y,0 texture { water01 scale 0.4 }   }

fog { distance 750 color rgb <0.0,0.8,1.0> }

sphere {
  <0, 0, 0>, 1
  texture {
    pigment {
      gradient y
      color_map {
         [0, 1 color rgb <0.2,0.75,1.0> color rgb <0.0,0.45,0.7> ]
      }
    }
    finish {
      ambient 1.0
      diffuse 0.0
    }
  }
  scale <1000,1000,1000>
  hollow
}


#declare hf =
height_field {
       gif "hf1.gif"
//       smooth

}


object {
       hf
       scale <120,6,120>
       translate <-60,-0.5, -40>
       texture {
         pigment {
            bumps
               color_map {
                  [ 0 color rgb <0.8,0.8,0.9>]
                  [ 1 color rgb <0.90,0.90,0.97>]
                     }
         }
         finish { ambient 0.4 diffuse 0.8 phong 0.9 phong_size 100 }
         normal { bumps 0.05 }
         scale 2
       }
       texture {
         pigment { color rgbf <1,1,1,1>}
         normal { crackle 0.4 scale 0.4 turbulence 0.2}
         scale 1
        }
}

object {
       hf
       scale <120,6,120>
       translate <80,-0.5, 80>
       scale <1,2,1>
       texture {
         pigment {
            bumps
               color_map {
                  [ 0 color rgb <0.8,0.8,0.9>]
                  [ 1 color rgb <0.90,0.90,0.97>]
                     }
         }
         finish { ambient 0.4 diffuse 0.8 phong 0.9 phong_size 100 }
         normal { bumps 0.05 }
         scale 2
       }
       texture {
         pigment { color rgbf <1,1,1,1>}
         normal { crackle 0.4 scale 0.4 turbulence 0.2}
         scale 1
        }
        scale <1,14,1>
}
object {
       hf
       scale <120,6,120>
       translate <-200,-0.5, 80>
       scale <1,2,1>
       texture {
         pigment {
            bumps
               color_map {
                  [ 0 color rgb <0.8,0.8,0.9>]
                  [ 1 color rgb <0.90,0.90,0.97>]
               }
         }
         finish { ambient 0.4 diffuse 0.8 phong 0.9 phong_size 100 }
         normal { bumps 0.05 }
         scale 2
       }
       texture {
         pigment { color rgbf <1,1,1,1>}
         normal { crackle 0.4 scale 0.4 turbulence 0.2}
         scale 1
        }
        scale <1,10,1>
}


object { ALL rotate <-90,180,0> translate <0,10,60> scale 0.4 }
object { BIRDS rotate <-90,190,0> translate <-300,20,-120> scale 0.3 }
object { DOLPHS rotate <-90,160,0> translate <-200,10,-540> scale 0.20 }
object { dolph rotate <-90,170,0> translate <230,20,420> scale 0.3 }
object { dolph rotate <-90,170,0> translate <190,20,390> scale 0.3 }
